List creator vault folders
curl --request GET \
--url https://api.fanvue.com/creators/{creatorUserUuid}/vault/folders \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/creators/{creatorUserUuid}/vault/folders"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/creators/{creatorUserUuid}/vault/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"name": "My Photos",
"createdAt": "2025-01-15T10:30:00.000Z",
"mediaCount": 42
},
{
"name": "Videos",
"createdAt": "2025-01-16T14:20:00.000Z",
"mediaCount": 15
}
],
"pagination": {
"page": 1,
"size": 20,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Creator Vault
List creator vault folders
Returns a paginated list of folders in the specified creator’s vault.
GET
/
creators
/
{creatorUserUuid}
/
vault
/
folders
List creator vault folders
curl --request GET \
--url https://api.fanvue.com/creators/{creatorUserUuid}/vault/folders \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/creators/{creatorUserUuid}/vault/folders"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/creators/{creatorUserUuid}/vault/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"name": "My Photos",
"createdAt": "2025-01-15T10:30:00.000Z",
"mediaCount": 42
},
{
"name": "Videos",
"createdAt": "2025-01-16T14:20:00.000Z",
"mediaCount": 15
}
],
"pagination": {
"page": 1,
"size": 20,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scopes
read:creator— Access creator profiles, content, and creator-specific information.read:media— Access media files, images, videos, and other content assets.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
FlowAuthorization Code
- Authorization URL
- https://auth.fanvue.com/oauth2/auth
- Token URL
- https://auth.fanvue.com/oauth2/token
- Refresh URL
- https://auth.fanvue.com/oauth2/token
Scopes2
read:creator
Access creator profiles, content, and creator-specific information.
read:media
Access media files, images, videos, and other content assets.
Headers
API version to use for the request
Example:
"2025-06-26"
Path Parameters
Was this page helpful?